//*****************************************************************************
// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
// 
// This program and the accompanying materials are made available under the 
// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
// which accompanies this distribution. 
// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
// and the Eclipse Distribution License is available at 
// http://www.eclipse.org/org/documents/edl-v10.php.
// 
// Contributors:
//     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
//     Specification available from http://jcp.org/en/jsr/detail?id=317
// 
//*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;


/// <summary>
/// Used to specify an access type to be applied to an entity class,
/// mapped superclass, or embeddable class, or to a specific attribute
/// of such a class.
/// 
/// 
/// </summary>
[System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Field | System.AttributeTargets.Property)]/*@Target( { TYPE, METHOD, FIELD })*/

public sealed class Access : System.Attribute {

    /// <summary>
    /// (Required)  Specification of field- or property-based access.
    /// </summary>
    public AccessType Value; 
    public Access() {} 
    public Access(AccessType value) { Value = value; } 
}
}