/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

/// <summary> Defines the set of cascadable operations that are propagated 
/// to the associated entity.
/// The value <c>cascade=ALL</c> is equivalent to 
/// <c>cascade={PERSIST, MERGE, REMOVE, REFRESH, DETACH}</c>.
/// 
/// 
/// </summary>
public enum CascadeType { 

    /// <summary> Cascade all operations/// </summary>
    ALL, 

    /// <summary> Cascade persist operation/// </summary>
    PERSIST, 

    /// <summary> Cascade merge operation/// </summary>
    MERGE, 

    /// <summary> Cascade remove operation/// </summary>
    REMOVE,

    /// <summary> Cascade refresh operation/// </summary>
    REFRESH,

    /// <summary> Cascade detach operation
    /// 
    /// 
    /// 
    /// </summary>   
    DETACH
}
}