/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

/// <summary> Thrown by the persistence provider when 
    /// <see cref="Query.GetSingleResult"/>or <see cref="M:TypedQuery`1.GetSingleResult"/> is executed on a
/// query and there is more than one result from the query. 
    /// <para>
/// This
/// exception will not cause the current transaction, if one is active,
/// to be marked for rollback.
/// </para>
/// <seealso cref="Query.GetSingleResult()"/>
/// <seealso cref="M:TypedQuery.GetSingleResult()"/>
/// 
/// 
/// </summary>
public class NonUniqueResultException : PersistenceException {

        /// <summary> 
        /// Constructs a new <c>NonUniqueResultException</c> exception 
        /// with <c>null</c> as its detail message.
        /// </summary>
	public NonUniqueResultException() : base() {
		// super(...) -> base(...)
	}

        /// <summary> 
        /// Constructs a new <c>NonUniqueResultException</c> exception 
        /// with the specified detail message.
    ///</summary>    
    /// <param name="message">the detail message.</param>   
        /// 
	public NonUniqueResultException(string message) : base(message) {
		// super(...) -> base(...)
	}
}

}