/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

/// <summary> Type used to indicate a specific mapping of <c>System.DateTime</c> 
/// or <c>System.DateTime</c>.
/// 
/// 
/// </summary>
public enum TemporalType {

    /// <summary> Map as <c>System.Data.DbType.Date</c>
    /// </summary>
    DATE, 

    /// <summary> Map as <c>System.Data.DbType.Time</c>
    /// </summary>
    TIME, 

    /// <summary> Map as <c>System.Data.DbType.Timestamp</c>
    /// </summary>
    TIMESTAMP
}
}